# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.user_legacy_read import UserLegacyRead

class TestUserLegacyRead(unittest.TestCase):
    """UserLegacyRead unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> UserLegacyRead:
        """Test UserLegacyRead
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `UserLegacyRead`
        """
        model = UserLegacyRead()
        if include_optional:
            return UserLegacyRead(
                name = '0',
                email = '0',
                id = 56,
                last_login = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                date_joined = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                status = 1,
                role = 'ADMIN'
            )
        else:
            return UserLegacyRead(
                name = '0',
                email = '0',
                id = 56,
                date_joined = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'),
                status = 1,
                role = 'ADMIN',
        )
        """

    def testUserLegacyRead(self):
        """Test UserLegacyRead"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
